<?php
    
    function getDiferenciaHoras($init_time, $last_time=FALSE)
    {
        if($last_time) {
            $init_time = strtotime($init_time);
            $last_time = strtotime($last_time);

            $diff=$init_time - $last_time;
        } else {
            $diff=$init_time;
        }
        $dias = (int)($diff / 86400);
        
        if($dias)
        {
            $diff-=($dias*86400);
        }
        
        $horas = (int)($diff / 3600);
        
        if($horas)
        {
            $diff-=($horas*3600);
        }
        
        $minutos = (int)($diff / 60);
        
        if($horas)
        {
            $diff-=($minutos*60);
        }
        
        $out = "";
        if($dias) $out.=$dias." días ";
        if($horas) $out.=$horas." hs ";
        if($minutos) $out.=$minutos." mins ";
        
        if(!$out) $out = "0 mins";
        
        return $out;
    }
    
    function getClassNivel($nivel) {
        if($nivel==1) {
            return 'g';
        } elseif($nivel==2) {
            return 'y';
        } else {
            return 'r';
        }
    }